# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# testing iterative alignment

from Alignlib import *

mali1 = makeMultipleAlignment()
mali2 = makeMultipleAlignment()

fillMultipleAlignmentFromString( mali1, "ABCDEFGHIJKLABCDEFGHIJKLABCDEFGHIJKL", 3 )
print mali1.Write(0,0)

fillMultipleAlignmentFromString( mali2, "ABCDEFGHIJKLABCDEFGHIJKLABCDEFGHIJKL", 3 )
print mali2.Write(0,0)

alignment_a2b = makeAlignataSet()


fillAlignataIdentity( alignment_a2b, 1, 1,  0)
fillAlignataIdentity( alignment_a2b, 3, 4,  0)
fillAlignataIdentity( alignment_a2b, 5, 6,  1)
fillAlignataIdentity( alignment_a2b, 11,12, 0)

print alignment_a2b.Write()

mali3 = makeMultipleAlignment()

mali3.addMultipleAlignment( mali1 )
print mali3.Write(0,0)

mali3.addMultipleAlignment( mali2, alignment_a2b, 0 )
print mali3.Write(0,0)

