# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
from Alignlib import *

#---------------------------------------------------------
a = makeAlignataVector()

fillAlignataIdentity( a, 2, 20, 0 )
fillAlignataIdentity( a, 8, 10, -1)

print "a", a.Write()

flattenAlignata( a )

print "a", a.Write()

#---------------------------------------------------------
b = makeAlignataVector()

fillAlignataIdentity( b, 2, 10, 0 )
fillAlignataIdentity( b, 11, 29, 30)
fillAlignataIdentity( b, 20, 30, 0)

print "b", b.Write()

flattenAlignata( b )

print "b", b.Write()

