# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# testing iterative alignment

from Alignlib import *

mali1 = makeMultipleAlignment()

fillMultipleAlignmentFromString( mali1, "ACDEFGHIKLACDEFGHIKLACDEFGHIKLACDEFM-IKLACDEFM-IKLACDEMM-IKLACDMMM-IKLACMMMM-IKL", 8 )
print mali1.Write(0,0)


print 0.5, calculateConservation( mali1, 0.5 )
print 0.6, calculateConservation( mali1, 0.6 )
print 0.7, calculateConservation( mali1, 0.7 )
print 0.8, calculateConservation( mali1, 0.8 )
print 0.9, calculateConservation( mali1, 0.9 )
print 1.0, calculateConservation( mali1, 1.0 )

