# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
from Alignlib import *

dottor = makeAlignatorIdentity()
dots = makeAlignataMatrixRow()

xsequences = [
    'AGCTKIL',
    'AGCTHHHKKIL',
    ]
ysequences = map( makeSequence, xsequences)
dottor.Align( ysequences[0], ysequences[1], dots)
print dots.Write()

alignator_dots = makeAlignatorDotsSquared( -1.0, -0.1, dottor )
map_left2right = makeAlignataVector()

alignator_dots.Align( ysequences[0], ysequences[1], map_left2right)

print "Result of pairwise alignment\n", map_left2right.Write()
r1 = makeAlignatumFromAlignandum( ysequences[0], map_left2right )
r2 = makeAlignatumFromAlignandum( ysequences[1], map_left2right )
print r1.Write()
print r2.Write()
    
