# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
from Alignlib import *


seq1 = makeSequence("GGGACDACDGACDGGG")
seq2 = makeSequence("ACD")

alignator = makeAlignatorFullDPWrap( -10.0, -2.0)

map_1to2 = makeAlignataVector()

alignator.Align( seq1, seq2, map_1to2)

print map_1to2.Write()

last_to = map_1to2.getRowFrom() - 1 
map_unitto2 = makeAlignataVector()

while 1:
    fillAlignataRepeatUnit( map_unitto2, map_1to2, last_to + 1)

    print map_unitto2.Write()
    last_to = map_unitto2.getRowTo()

    if last_to == 0:
        break
