# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# This file was created automatically by SWIG.
import alignlibc
class RESIDUEPAIR:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,RESIDUEPAIR):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = RESIDUEPAIR.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = RESIDUEPAIR.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    __setmethods__["mRow"] = alignlibc.RESIDUEPAIR_mRow_set
    __getmethods__["mRow"] = alignlibc.RESIDUEPAIR_mRow_get
    __setmethods__["mCol"] = alignlibc.RESIDUEPAIR_mCol_set
    __getmethods__["mCol"] = alignlibc.RESIDUEPAIR_mCol_get
    __setmethods__["mScore"] = alignlibc.RESIDUEPAIR_mScore_set
    __getmethods__["mScore"] = alignlibc.RESIDUEPAIR_mScore_get
    def __init__(self,*args):
        self.this = apply(alignlibc.new_RESIDUEPAIR,args)
        self.thisown = 1
    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_RESIDUEPAIR(self)
    def __repr__(self):
        return "<C RESIDUEPAIR instance at %s>" % (self.this,)

class RESIDUEPAIRPtr(RESIDUEPAIR):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = RESIDUEPAIR
alignlibc.RESIDUEPAIR_swigregister(RESIDUEPAIRPtr)
class Alignata:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,Alignata):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = Alignata.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = Alignata.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_Alignata(self)
    def getNew(*args): return apply(alignlibc.Alignata_getNew,args)
    def getClone(*args): return apply(alignlibc.Alignata_getClone,args)
    def begin(*args): return apply(alignlibc.Alignata_begin,args)
    def end(*args): return apply(alignlibc.Alignata_end,args)
    def getScore(*args): return apply(alignlibc.Alignata_getScore,args)
    def getLength(*args): return apply(alignlibc.Alignata_getLength,args)
    def getNumGaps(*args): return apply(alignlibc.Alignata_getNumGaps,args)
    def setScore(*args): return apply(alignlibc.Alignata_setScore,args)
    def isEmpty(*args): return apply(alignlibc.Alignata_isEmpty,args)
    def getRowFrom(*args): return apply(alignlibc.Alignata_getRowFrom,args)
    def getRowTo(*args): return apply(alignlibc.Alignata_getRowTo,args)
    def getColFrom(*args): return apply(alignlibc.Alignata_getColFrom,args)
    def getColTo(*args): return apply(alignlibc.Alignata_getColTo,args)
    def getFirstPair(*args): return apply(alignlibc.Alignata_getFirstPair,args)
    def getLastPair(*args): return apply(alignlibc.Alignata_getLastPair,args)
    def addPair(*args): return apply(alignlibc.Alignata_addPair,args)
    def addPairExplicit(*args): return apply(alignlibc.Alignata_addPairExplicit,args)
    def removePair(*args): return apply(alignlibc.Alignata_removePair,args)
    def moveAlignment(*args): return apply(alignlibc.Alignata_moveAlignment,args)
    def mapRowToCol(*args): return apply(alignlibc.Alignata_mapRowToCol,args)
    def mapColToRow(*args): return apply(alignlibc.Alignata_mapColToRow,args)
    def removeRowRegion(*args): return apply(alignlibc.Alignata_removeRowRegion,args)
    def removeColRegion(*args): return apply(alignlibc.Alignata_removeColRegion,args)
    def switchRowCol(*args): return apply(alignlibc.Alignata_switchRowCol,args)
    def Clear(*args): return apply(alignlibc.Alignata_Clear,args)
    def Write(*args): return apply(alignlibc.Alignata_Write,args)
    def Read(*args): return apply(alignlibc.Alignata_Read,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C Alignata instance at %s>" % (self.this,)

class AlignataPtr(Alignata):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Alignata
alignlibc.Alignata_swigregister(AlignataPtr)
class Alignator:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,Alignator):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = Alignator.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = Alignator.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_Alignator(self)
    def Align(*args): return apply(alignlibc.Alignator_Align,args)
    def getAlignmentScore(*args): return apply(alignlibc.Alignator_getAlignmentScore,args)
    def setRowGop(*args): return apply(alignlibc.Alignator_setRowGop,args)
    def setRowGep(*args): return apply(alignlibc.Alignator_setRowGep,args)
    def setColGop(*args): return apply(alignlibc.Alignator_setColGop,args)
    def setColGep(*args): return apply(alignlibc.Alignator_setColGep,args)
    def setSubstitutionMatrix(*args): return apply(alignlibc.Alignator_setSubstitutionMatrix,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C Alignator instance at %s>" % (self.this,)

class AlignatorPtr(Alignator):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Alignator
alignlibc.Alignator_swigregister(AlignatorPtr)
class NormalDistributionParameters:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,NormalDistributionParameters):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = NormalDistributionParameters.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = NormalDistributionParameters.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    __setmethods__["mMean"] = alignlibc.NormalDistributionParameters_mMean_set
    __getmethods__["mMean"] = alignlibc.NormalDistributionParameters_mMean_get
    __setmethods__["mStandardDeviation"] = alignlibc.NormalDistributionParameters_mStandardDeviation_set
    __getmethods__["mStandardDeviation"] = alignlibc.NormalDistributionParameters_mStandardDeviation_get
    def getMean(*args): return apply(alignlibc.NormalDistributionParameters_getMean,args)
    def getStandardDeviation(*args): return apply(alignlibc.NormalDistributionParameters_getStandardDeviation,args)
    def __init__(self,*args):
        self.this = apply(alignlibc.new_NormalDistributionParameters,args)
        self.thisown = 1
    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_NormalDistributionParameters(self)
    def __repr__(self):
        return "<C NormalDistributionParameters instance at %s>" % (self.this,)

class NormalDistributionParametersPtr(NormalDistributionParameters):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = NormalDistributionParameters
alignlibc.NormalDistributionParameters_swigregister(NormalDistributionParametersPtr)
class Alignandum:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,Alignandum):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = Alignandum.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = Alignandum.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_Alignandum(self)
    def getClone(*args): return apply(alignlibc.Alignandum_getClone,args)
    def getLength(*args): return apply(alignlibc.Alignandum_getLength,args)
    def useFullLength(*args): return apply(alignlibc.Alignandum_useFullLength,args)
    def useSegment(*args): return apply(alignlibc.Alignandum_useSegment,args)
    def getFrom(*args): return apply(alignlibc.Alignandum_getFrom,args)
    def getTo(*args): return apply(alignlibc.Alignandum_getTo,args)
    def isPrepared(*args): return apply(alignlibc.Alignandum_isPrepared,args)
    def getData(*args): return apply(alignlibc.Alignandum_getData,args)
    def asResidue(*args): return apply(alignlibc.Alignandum_asResidue,args)
    def asChar(*args): return apply(alignlibc.Alignandum_asChar,args)
    def asString(*args): return apply(alignlibc.Alignandum_asString,args)
    def MaskResidue(*args): return apply(alignlibc.Alignandum_MaskResidue,args)
    def Mask(*args): return apply(alignlibc.Alignandum_Mask,args)
    def Shuffle(*args): return apply(alignlibc.Alignandum_Shuffle,args)
    def Prepare(*args): return apply(alignlibc.Alignandum_Prepare,args)
    def Release(*args): return apply(alignlibc.Alignandum_Release,args)
    def Write(*args): return apply(alignlibc.Alignandum_Write,args)
    def Read(*args): return apply(alignlibc.Alignandum_Read,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C Alignandum instance at %s>" % (self.this,)

class AlignandumPtr(Alignandum):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Alignandum
alignlibc.Alignandum_swigregister(AlignandumPtr)
class Alignatum:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,Alignatum):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = Alignatum.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = Alignatum.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_Alignatum(self)
    def writeRow(*args): return apply(alignlibc.Alignatum_writeRow,args)
    def getString(*args): return apply(alignlibc.Alignatum_getString,args)
    def getStringReference(*args): return apply(alignlibc.Alignatum_getStringReference,args)
    def getFrom(*args): return apply(alignlibc.Alignatum_getFrom,args)
    def getTo(*args): return apply(alignlibc.Alignatum_getTo,args)
    def getAlignedLength(*args): return apply(alignlibc.Alignatum_getAlignedLength,args)
    def getTrueLength(*args): return apply(alignlibc.Alignatum_getTrueLength,args)
    def addGaps(*args): return apply(alignlibc.Alignatum_addGaps,args)
    def insertGaps(*args): return apply(alignlibc.Alignatum_insertGaps,args)
    def removeEndGaps(*args): return apply(alignlibc.Alignatum_removeEndGaps,args)
    def removeColumns(*args): return apply(alignlibc.Alignatum_removeColumns,args)
    def mapOnAlignment(*args): return apply(alignlibc.Alignatum_mapOnAlignment,args)
    def getClone(*args): return apply(alignlibc.Alignatum_getClone,args)
    def getNew(*args): return apply(alignlibc.Alignatum_getNew,args)
    def Write(*args): return apply(alignlibc.Alignatum_Write,args)
    def Read(*args): return apply(alignlibc.Alignatum_Read,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C Alignatum instance at %s>" % (self.this,)

class AlignatumPtr(Alignatum):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Alignatum
alignlibc.Alignatum_swigregister(AlignatumPtr)
class Regularizor:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,Regularizor):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = Regularizor.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = Regularizor.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_Regularizor(self)
    def fillFrequencies(*args): return apply(alignlibc.Regularizor_fillFrequencies,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C Regularizor instance at %s>" % (self.this,)

class RegularizorPtr(Regularizor):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Regularizor
alignlibc.Regularizor_swigregister(RegularizorPtr)
class Weightor:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,Weightor):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = Weightor.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = Weightor.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_Weightor(self)
    def calculateWeights(*args): return apply(alignlibc.Weightor_calculateWeights,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C Weightor instance at %s>" % (self.this,)

class WeightorPtr(Weightor):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Weightor
alignlibc.Weightor_swigregister(WeightorPtr)
class LogOddor:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,LogOddor):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = LogOddor.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = LogOddor.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_LogOddor(self)
    def fillProfile(*args): return apply(alignlibc.LogOddor_fillProfile,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C LogOddor instance at %s>" % (self.this,)

class LogOddorPtr(LogOddor):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = LogOddor
alignlibc.LogOddor_swigregister(LogOddorPtr)
class SubstitutionMatrix:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,SubstitutionMatrix):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = SubstitutionMatrix.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = SubstitutionMatrix.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_SubstitutionMatrix(self)
    def getMatrix(*args): return apply(alignlibc.SubstitutionMatrix_getMatrix,args)
    def getNumRows(*args): return apply(alignlibc.SubstitutionMatrix_getNumRows,args)
    def getNumColums(*args): return apply(alignlibc.SubstitutionMatrix_getNumColums,args)
    def getScore(*args): return apply(alignlibc.SubstitutionMatrix_getScore,args)
    def getData(*args): return apply(alignlibc.SubstitutionMatrix_getData,args)
    def Write(*args): return apply(alignlibc.SubstitutionMatrix_Write,args)
    def Clear(*args): return apply(alignlibc.SubstitutionMatrix_Clear,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C SubstitutionMatrix instance at %s>" % (self.this,)

class SubstitutionMatrixPtr(SubstitutionMatrix):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = SubstitutionMatrix
alignlibc.SubstitutionMatrix_swigregister(SubstitutionMatrixPtr)
class MultipleAlignment:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,MultipleAlignment):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = MultipleAlignment.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = MultipleAlignment.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_MultipleAlignment(self)
    def getLength(*args): return apply(alignlibc.MultipleAlignment_getLength,args)
    def getWidth(*args): return apply(alignlibc.MultipleAlignment_getWidth,args)
    def setLength(*args): return apply(alignlibc.MultipleAlignment_setLength,args)
    def getRow(*args): return apply(alignlibc.MultipleAlignment_getRow,args)
    def eraseRow(*args): return apply(alignlibc.MultipleAlignment_eraseRow,args)
    def addAlignatum(*args): return apply(alignlibc.MultipleAlignment_addAlignatum,args)
    def addMultipleAlignment(*args): return apply(alignlibc.MultipleAlignment_addMultipleAlignment,args)
    def isEmpty(*args): return apply(alignlibc.MultipleAlignment_isEmpty,args)
    def Clear(*args): return apply(alignlibc.MultipleAlignment_Clear,args)
    def registerRenderer(*args): return apply(alignlibc.MultipleAlignment_registerRenderer,args)
    def getConsensusString(*args): return apply(alignlibc.MultipleAlignment_getConsensusString,args)
    def getClone(*args): return apply(alignlibc.MultipleAlignment_getClone,args)
    def getNew(*args): return apply(alignlibc.MultipleAlignment_getNew,args)
    def Write(*args): return apply(alignlibc.MultipleAlignment_Write,args)
    def Read(*args): return apply(alignlibc.MultipleAlignment_Read,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C MultipleAlignment instance at %s>" % (self.this,)

class MultipleAlignmentPtr(MultipleAlignment):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = MultipleAlignment
alignlibc.MultipleAlignment_swigregister(MultipleAlignmentPtr)
class Renderer:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,Renderer):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = Renderer.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = Renderer.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_Renderer(self)
    def Render(*args): return apply(alignlibc.Renderer_Render,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C Renderer instance at %s>" % (self.this,)

class RendererPtr(Renderer):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Renderer
alignlibc.Renderer_swigregister(RendererPtr)
class Translator:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,Translator):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = Translator.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = Translator.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_Translator(self)
    def Decode(*args): return apply(alignlibc.Translator_Decode,args)
    def DecodeResidue(*args): return apply(alignlibc.Translator_DecodeResidue,args)
    def Encode(*args): return apply(alignlibc.Translator_Encode,args)
    def EncodeResidue(*args): return apply(alignlibc.Translator_EncodeResidue,args)
    def isValidChar(*args): return apply(alignlibc.Translator_isValidChar,args)
    def getMaskCode(*args): return apply(alignlibc.Translator_getMaskCode,args)
    def getGapCode(*args): return apply(alignlibc.Translator_getGapCode,args)
    def getMaskChar(*args): return apply(alignlibc.Translator_getMaskChar,args)
    def getGapChar(*args): return apply(alignlibc.Translator_getGapChar,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C Translator instance at %s>" % (self.this,)

class TranslatorPtr(Translator):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Translator
alignlibc.Translator_swigregister(TranslatorPtr)
class Fragmentor:
    __setmethods__ = {}
    for _s in []: __setmethods__.update(_s.__setmethods__)
    def __setattr__(self,name,value):
        if (name == "this"):
            if isinstance(value,Fragmentor):
                self.__dict__[name] = value.this
                if hasattr(value,"thisown"): self.__dict__["thisown"] = value.thisown
                del value.thisown
                return
        method = Fragmentor.__setmethods__.get(name,None)
        if method: return method(self,value)
        self.__dict__[name] = value

    __getmethods__ = {}
    for _s in []: __getmethods__.update(_s.__getmethods__)
    def __getattr__(self,name):
        method = Fragmentor.__getmethods__.get(name,None)
        if method: return method(self)
        raise AttributeError,name

    def __del__(self,alignlibc=alignlibc):
        if getattr(self,'thisown',0):
            alignlibc.delete_Fragmentor(self)
    def Fragment(*args): return apply(alignlibc.Fragmentor_Fragment,args)
    def __init__(self): raise RuntimeError, "No constructor defined"
    def __repr__(self):
        return "<C Fragmentor instance at %s>" % (self.this,)

class FragmentorPtr(Fragmentor):
    def __init__(self,this):
        self.this = this
        if not hasattr(self,"thisown"): self.thisown = 0
        self.__class__ = Fragmentor
alignlibc.Fragmentor_swigregister(FragmentorPtr)
makeAlignataSet = alignlibc.makeAlignataSet

makeAlignataSetCol = alignlibc.makeAlignataSetCol

makeAlignataHash = alignlibc.makeAlignataHash

makeAlignataHashDiagonal = alignlibc.makeAlignataHashDiagonal

makeAlignataVector = alignlibc.makeAlignataVector

makeAlignataMatrixRow = alignlibc.makeAlignataMatrixRow

makeAlignataMatrixDiagonal = alignlibc.makeAlignataMatrixDiagonal

makeAlignataMatrixUnsorted = alignlibc.makeAlignataMatrixUnsorted

writeAlignataCompressed = alignlibc.writeAlignataCompressed

writeAlignataCompressedDiagonal = alignlibc.writeAlignataCompressedDiagonal

writeAlignataRSDB = alignlibc.writeAlignataRSDB

RR = alignlibc.RR
RC = alignlibc.RC
CR = alignlibc.CR
CC = alignlibc.CC
combineAlignata = alignlibc.combineAlignata

copyAlignata = alignlibc.copyAlignata

copyAlignataRemoveRegion = alignlibc.copyAlignataRemoveRegion

copyAlignataFilterWithAlignata = alignlibc.copyAlignataFilterWithAlignata

addAlignata2Alignata = alignlibc.addAlignata2Alignata

addMappedAlignata2Alignata = alignlibc.addMappedAlignata2Alignata

addMappedAlignatas2Alignata = alignlibc.addMappedAlignatas2Alignata

writeAlignataTable = alignlibc.writeAlignataTable

writePairAlignment = alignlibc.writePairAlignment

fillAlignataCompressed = alignlibc.fillAlignataCompressed

fillAlignataExplicit = alignlibc.fillAlignataExplicit

filterAlignataRemovePairs = alignlibc.filterAlignataRemovePairs

fillAlignataIdentity = alignlibc.fillAlignataIdentity

fillAlignataCompressedDiagonal = alignlibc.fillAlignataCompressedDiagonal

rescoreAlignment = alignlibc.rescoreAlignment

rescoreAlignmentPrivate = alignlibc.rescoreAlignmentPrivate

rescoreAlignment_flat = alignlibc.rescoreAlignment_flat

calculateAffineScore = alignlibc.calculateAffineScore

fillAlignataRepeatUnit = alignlibc.fillAlignataRepeatUnit

fillAlignataSummation = alignlibc.fillAlignataSummation

complementAlignata = alignlibc.complementAlignata

flattenAlignata = alignlibc.flattenAlignata

splitAlignata = alignlibc.splitAlignata

splitAlignataWithAlignata = alignlibc.splitAlignataWithAlignata

calculatePercentSimilarity = alignlibc.calculatePercentSimilarity

calculatePercentIdentity = alignlibc.calculatePercentIdentity

removeFragments = alignlibc.removeFragments

pruneAlignata = alignlibc.pruneAlignata

makeFullDP = alignlibc.makeFullDP

makeAlignatorFullDPWrap = alignlibc.makeAlignatorFullDPWrap

makeAlignatorFullDPGlobal = alignlibc.makeAlignatorFullDPGlobal

makeAlignatorIdentity = alignlibc.makeAlignatorIdentity

makeAlignatorSimilarity = alignlibc.makeAlignatorSimilarity

makeAlignatorTuples = alignlibc.makeAlignatorTuples

makeAlignatorDummy = alignlibc.makeAlignatorDummy

makeAlignatorDotsSquared = alignlibc.makeAlignatorDotsSquared

makeAlignatorDotsSquaredDiagonal = alignlibc.makeAlignatorDotsSquaredDiagonal

makeAlignatorFragmentsSquared = alignlibc.makeAlignatorFragmentsSquared

performIterativeAlignment = alignlibc.performIterativeAlignment

performIterativeAlignmentNonConst = alignlibc.performIterativeAlignmentNonConst

calculateZScoreParameters = alignlibc.calculateZScoreParameters

makeNormalDistributionParameters = alignlibc.makeNormalDistributionParameters

makeEmptyProfile = alignlibc.makeEmptyProfile

makeEmptyProfileLength = alignlibc.makeEmptyProfileLength

makeProfile = alignlibc.makeProfile

makeProfileFromMali = alignlibc.makeProfileFromMali

makeSequence = alignlibc.makeSequence

makeMutatedSequence = alignlibc.makeMutatedSequence

substituteProfileWithProfile = alignlibc.substituteProfileWithProfile

addProfile2Profile = alignlibc.addProfile2Profile

addSequence2Profile = alignlibc.addSequence2Profile

extractProfileBinaryCounts = alignlibc.extractProfileBinaryCounts

extractProfileBinaryCountsAsInt = alignlibc.extractProfileBinaryCountsAsInt

writeProfileBinaryCounts = alignlibc.writeProfileBinaryCounts

writeProfileBinaryCountsAsInt = alignlibc.writeProfileBinaryCountsAsInt

rescaleProfileCounts = alignlibc.rescaleProfileCounts

normalizeProfileCounts = alignlibc.normalizeProfileCounts

SetRandomSeed = alignlibc.SetRandomSeed

exportProfileFrequencies = alignlibc.exportProfileFrequencies

makeAlignatumFromString = alignlibc.makeAlignatumFromString

makeAlignatumFromCharString = alignlibc.makeAlignatumFromCharString

makeAlignatumFromAlignandum = alignlibc.makeAlignatumFromAlignandum

makeAlignatum = alignlibc.makeAlignatum

makeAlignatumFasta = alignlibc.makeAlignatumFasta

makeAlignatumFastaFromString = alignlibc.makeAlignatumFastaFromString

makeNoRegularizor = alignlibc.makeNoRegularizor

makeRegularizorDirichlet = alignlibc.makeRegularizorDirichlet

makeRegularizorDirichletHash = alignlibc.makeRegularizorDirichletHash

makeRegularizorDirichletInterpolate = alignlibc.makeRegularizorDirichletInterpolate

makeRegularizorDirichletPrecomputed = alignlibc.makeRegularizorDirichletPrecomputed

getDefaultRegularizor = alignlibc.getDefaultRegularizor

setDefaultRegularizor = alignlibc.setDefaultRegularizor

makeNoWeightor = alignlibc.makeNoWeightor

makeWeightorHenikoff = alignlibc.makeWeightorHenikoff

makeWeightorHenikoffKimmen = alignlibc.makeWeightorHenikoffKimmen

getDefaultWeightor = alignlibc.getDefaultWeightor

setDefaultWeightor = alignlibc.setDefaultWeightor

makeLogOddorUniform = alignlibc.makeLogOddorUniform

makeLogOddorDirichlet = alignlibc.makeLogOddorDirichlet

getDefaultLogOddor = alignlibc.getDefaultLogOddor

setDefaultLogOddor = alignlibc.setDefaultLogOddor

makeSubstitutionMatrixAA = alignlibc.makeSubstitutionMatrixAA

readSubstitutionMatrixAA = alignlibc.readSubstitutionMatrixAA

getDefaultSubstitutionMatrix = alignlibc.getDefaultSubstitutionMatrix

setDefaultSubstitutionMatrix = alignlibc.setDefaultSubstitutionMatrix

makeMultipleAlignment = alignlibc.makeMultipleAlignment

makeMultipleAlignmentDots = alignlibc.makeMultipleAlignmentDots

fillMultipleAlignment = alignlibc.fillMultipleAlignment

fillMultipleAlignmentFromString = alignlibc.fillMultipleAlignmentFromString

fillMultipleAlignmentFromFile = alignlibc.fillMultipleAlignmentFromFile

extractMultipleAlignmentFasta = alignlibc.extractMultipleAlignmentFasta

calculateConservation = alignlibc.calculateConservation

makeCountsByCategory = alignlibc.makeCountsByCategory

getMapResidue2CategorySurface = alignlibc.getMapResidue2CategorySurface

getMapResidue2CategoryAll = alignlibc.getMapResidue2CategoryAll

makeEntropyVector = alignlibc.makeEntropyVector

copyMultipleAlignment = alignlibc.copyMultipleAlignment

makeRendererMView = alignlibc.makeRendererMView

makeTranslatorSequence = alignlibc.makeTranslatorSequence

makeTranslatorSequenceUC = alignlibc.makeTranslatorSequenceUC

getDefaultTranslator = alignlibc.getDefaultTranslator

setDefaultTranslator = alignlibc.setDefaultTranslator

makeFragmentorDiagonals = alignlibc.makeFragmentorDiagonals

makeFragmentorIterative = alignlibc.makeFragmentorIterative

makeFragmentorRepetitive = alignlibc.makeFragmentorRepetitive

writeFragments = alignlibc.writeFragments

deleteFragments = alignlibc.deleteFragments

rescoreFragmentsNumberGaps = alignlibc.rescoreFragmentsNumberGaps


