# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
from Alignlib import *

print "--> testing addMappedAlignata2Alignata"

map_a2b = makeAlignataVector()

map_a2b.addPairExplicit( 49, 50, 0.0)

map_a2c = makeAlignataVector()
map_a2c.addPairExplicit( 49, 43, 0.0)

map_b2c = makeAlignataVector()

addMappedAlignata2Alignata(map_b2c, map_a2c, map_a2b, RR)
print "a2b\n",map_a2b.Write()
print "a2c\n",map_a2c.Write()
print "b2c\n",map_b2c.Write()


print "--> testing addMappedAlignatas2Alignata"

map_a2b = makeAlignataVector()
map_a2b.addPairExplicit( 49, 50, 0.0)

map_a2c = makeAlignataVector()
map_a2c.addPairExplicit( 49, 43, 0.0)

map_b2d = makeAlignataVector()
map_b2d.addPairExplicit( 50, 45, 0.0)

map_c2d = makeAlignataVector()

addMappedAlignatas2Alignata(map_c2d, map_a2b, map_a2c, map_b2d )
print "a2b\n",map_a2b.Write()
print "a2c\n",map_a2c.Write()
print "b2d\n",map_b2d.Write()
print "c2d\n",map_c2d.Write()
