# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
from Alignlib import *

print "Test1"
ali = makeAlignataMatrixRow()
fillAlignataIdentity( ali, 1, 20, 0)
fillAlignataIdentity( ali, 1, 10, 5)
print ali.Write()

print "Deleting ali"
del ali

print "Test2"
ali2 = makeAlignataMatrixRow()

sequence1 = makeSequence("ADFADFADFKLADF")
alignator = makeAlignatorIdentity()

alignator.Align( sequence1, sequence1, ali2 )
print ali2.Write()
