# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# testing iterative alignment
from Alignlib import *

a = makeAlignataVector()

fillAlignataIdentity( a, 1, 10, 0)
fillAlignataIdentity( a, 30, 40, 0)
fillAlignataIdentity( a, 60, 70, 0)
fillAlignataIdentity( a, 20, 20, 0)

print a.Write()
removeFragments(a, 3, 5)
print a.Write()

a.Clear()

fillAlignataIdentity( a, 10, 15, 0)
fillAlignataIdentity( a, 25, 40, 0)
fillAlignataIdentity( a, 50, 55, 0)

print a.Write()
removeFragments(a, 3, 5)
print a.Write()
removeFragments(a, 3, 5, 100)
print a.Write()

