# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# testing iterative alignment

from Alignlib import *

def TestMali( mali ):

    s1 = "ABCDEFGH"
    ali = makeAlignataVector()
    fillAlignataIdentity( ali, 1, 6, 0)
    fillAlignataIdentity( ali, 7, 7, 1)

    seq1 = makeAlignatumFromString(s1)
    seq1.thisown = 0
    mali.addAlignatum( seq1, ali )
    seq2 = makeAlignatumFromString(s1)
    seq2.thisown = 0
    mali.addAlignatum( seq2, ali )

    print mali.Write()

mali = makeMultipleAlignmentDots( 0 )
TestMali( mali )
mali = makeMultipleAlignmentDots( 1 )
TestMali( mali )





