# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
from Alignlib import *

# test 1
data = (
(4,4,-10),
(5,5,10),
(6,6,10),
(7,7,10),
(8,8,10),
(9,9,10),
(10,10,10),
(11,11,-10),
)

a = makeAlignataVector()

for d in data:
    a.addPairExplicit( d[0], d[1], float(d[2]))

print a.Write()
pruneAlignata( a, -10.0, -1.0  )
print a.Write()

# test 2
data = (
(3,3,5),    
(4,4,-10),
(5,5,10),
(6,6,10),
(7,7,10),
(8,8,10),
(9,9,10),
(10,10,10),
(11,11,-10),
(12,12,5),
)

a = makeAlignataVector()

for d in data:
    a.addPairExplicit( d[0], d[1], float(d[2]))

print a.Write()
pruneAlignata( a, -10.0, -1.0  )
print a.Write()








