# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
from Alignlib import *

seq1 = makeSequence("AAAACCCCCCAAAA")
seq2 = makeSequence("KKKKCCCCCCKKKK")

p = makeNormalDistributionParameters()
a = makeFullDP(-10.0, -2.0)

calculateZScoreParameters( p, seq1, seq2, a, 100)

print "Mean = ", p.getMean()
print "stddev = ", p.getStandardDeviation()
