# alignlib - a library for aligning protein sequences
# 
# $Id$
# 
# Copyright (C) 2004 Andreas Heger
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
import sys

sys.path.append("/homes/heger/Picasso/lib")

from  Alignlib import *
import string

nsequences = 10

s = ""

for i in range (0, nsequences ) :
    s = s + "-" * ( nsequences - i) + "A" * ( i )

print s

profile = makeProfile( s, nsequences )
profile.Prepare()
print profile.Write()

g = string.replace( s, "A", "C" )
print g
profile2 = makeProfile( g, nsequences )
profile2.Prepare()
print profile2.Write()

print "I am here 0"
profile3 = makeProfile( s + g, 2 * nsequences )
profile3.Prepare()
print profile3.Write()

print "I am here 1"


w = makeNoWeightor()

print "I am here 1b"

r1 = makeRegularizorDirichlet()
#r1 = makeRegularizorDirichletHash()
# profile4 = makeProfile( s + g, 2 * nsequences, w, r1)
# profile4.Prepare()
# print profile4.Write()

print "I am here 2"

##r2 = makeRegularizorDirichletInterpolate()
##profile5 = makeProfile( s + g, 2 * nsequences, w, r2)
##profile5.Prepare()
##print profile5.Write()
##r2.__del__()

print "Testing Regularizor: Dirichlet-Precomputed"
r3 = makeRegularizorDirichletPrecomputed()
profile6 = makeProfile( s + g, 2 * nsequences, w, r3)
profile6.Prepare()
print profile6.Write()



